import LoginForm from '.';
import Button from './LoginFormButton';
import EmailInput from './LoginFormEmailInput';
import InvalidCredentialsMessage from './LoginFormInvalidCredentialsMessage';
import InvalidEmailMessage from './LoginFormInvalidEmailMessage';
import PasswordInput from './LoginFormPasswordInput';

describe('LoginForm bundle', () => {
  it('exposes LoginFormButton as LoginForm.Button', () => {
    expect(LoginForm.Button).toBe(Button);
  });

  it('exposes LoginFormEmailInput as LoginForm.EmailInput', () => {
    expect(LoginForm.EmailInput).toBe(EmailInput);
  });

  // eslint-disable-next-line max-len
  it('exposes LoginFormInvalidCredentialsMessage as LoginForm.InvalidCredentialsMessage', () => {
    expect(LoginForm.InvalidCredentialsMessage).toBe(InvalidCredentialsMessage);
  });

  // eslint-disable-next-line max-len
  it('exposes LoginFormInvalidEmailMessage as LoginForm.InvalidEmailMessage', () => {
    expect(LoginForm.InvalidEmailMessage).toBe(InvalidEmailMessage);
  });

  it('exposes LoginFormPasswordInput as LoginForm.PasswordInput', () => {
    expect(LoginForm.PasswordInput).toBe(PasswordInput);
  });
});
